function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._url = browser.getUrl();
        this._browser = browser;
        browser.open(this._url);
    },

    onLoad: function () {
        setTimeout(function () {
            this._browser.finish();
        }.bind(this), 5000);
    },

    validateCallLog: function (log) {
        assertEquals('Unity.init', log[0].func, 'Unity.init');
        assertEquals('Deviantart', log[0].args[0].name, 'Deviantart');
        assertEquals('Unity.Launcher.addAction', log[1].func, 'Unity.Launcher.addAction');
    },

    scriptName: 'Deviantart.user.js'
};
